# PhpDependAnalyzerElement

Analyzer element for the PhpDependTask

package | phing.tasks.ext.pdepend
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: e97cb62953c381f62ab548dfe073b26071f0eb0a $
since | 2.4.1

### Methods

## Get the analyzer type

    getType() : string

### Response

`string`

## Get the analyzer value

    getValue() : string

### Response

`string`

## Sets the analyzer type

    setType(string $type)

throws |

### Arguments

#### $type

`string`

Type of the analyzer

## Sets the value for the analyzer

    setValue(string $value)

### Arguments

#### $value

`string`

Value for the analyzer

### Properties

## The type of the analyzer

    type : string

var |

### Type(s)

`string`

## The value(s) for the analyzer option

    value : array

var |

### Type(s)

`array`